Problem with journal entry only showing creation date and not modified date

Bug #1381228 reported by Robert Lyon on 2014-10-14
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mahara
Wishlist
Cecilia Vela Gurovic

Bug Description

From forum: https://mahara.org/interaction/forum/topic.php?id=6470&offset=0&limit=10

'It appears to me that students can "game" assignment deadlines by creating incomplete Journal entries before the assignment deadline, then editing them after the deadline, since the Journal entry time stamps don't update after editing'

Taking a quick look at this - a journal entry displays the creation date - which should never change.

What would be needed is to either display the modification date instead of the creation date (which are the same initially but change on editing) or have both display if different, eg

Posted on Wednesday, 8 October 2014, 9:37 AM
Last edited on Thursday, 9 October 2014, 19:45 PM

Aaron Wells (u-aaronw) wrote :

Agreed. We already have this for forum posts, and comments. It would make sense to have it for journals as well.

It does make Mahara blogs a little bit different from other blogging software (where you can typically manually set the "posting" date), but I think that reflects our main purpose as an educational eportfolio.

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
milestone: 15.04.0 → 15.04.1
Aaron Wells (u-aaronw) on 2015-04-21
Changed in mahara:
milestone: 15.04.1 → 15.10.0
Aaron Wells (u-aaronw) on 2015-09-30
Changed in mahara:
milestone: 15.10.0 → 16.04.0
Dominique-Alain JAN (dajan) wrote :

Hello,
This Mahara journals' behavior was also reported by the Nursing school in Friboug last Monday. Students reported they have regularly created journal entries alongside their semesters (as requested) but have filled them with their reflections on the very last minutes.

Tutors noticed nothing because the forum post doesn't show neither the date of publication nor the last editing of the message.

This is then a serious issue whether we want to be sure that students engage on a regular basis with their reflexive journal. I then also vote for this to be changed in the next version of Mahara, if it is possible to do so.

Aaron Wells (u-aaronw) on 2016-04-28
Changed in mahara:
milestone: 16.04.0 → 16.10.0
Changed in mahara:
milestone: 16.10.0 → none
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7163

Robert Lyon (robertl-9) wrote :

I've added a simple proof of concept patch https://reviews.mahara.org/#/c/7163/1 to indicate what I was thinking when it comes to created and last updated dates.

Note: The patch was quickly put together and not fully tested

Feel free to take the concept and flesh it out more.

Hopefully a more robust patch will be available for Mahara 17.04

Changed in mahara:
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)

To test this bug:

Create an entry in a journal with a tag and edit later.
Create another entry with a tag but don't edit it later.

Check the dates display in:

1. Open the journal and see the list of entries
2. Create a page and add blocks
    Journal
    Journal entry
    Recent journal entries
    Tagged journal entries

Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/7163
Committed: https://git.mahara.org/mahara/mahara/commit/d27523221bd8405982e1be66c294b998ad4d1afd
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d27523221bd8405982e1be66c294b998ad4d1afd
Author: Robert Lyon <email address hidden>
Date: Wed Oct 19 09:02:57 2016 +1300

Bug 1381228: Show created and updated dates for blogpost

If the created and updated dates are different for a
blogpost, we see both dates.

Based on Robert's Proof of Concept

With showing both the created and updated dates for a
journal entry (blogpost)

Change-Id: If1701b56a12d39b017a8bb498fa1fbd0ea1ce92b
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2017-01-19
Changed in mahara:
status: In Progress → Fix Committed
milestone: none → 17.04.0
Robert Lyon (robertl-9) on 2017-04-27
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers